#!/usr/bin/env python
import urllib2, re

urldir = u"http://ftpmirror.gnu.org/gcc/"

dlpage = urllib2.urlopen(urldir).read().decode("utf-8")
versions = re.findall(ur"gcc-([0-9][0-9.]*[0-9])", dlpage)

versions.sort(key=lambda x: map(int, x.split(u".")))
version = versions[-1]

url = urldir + "gcc-{version}/gcc-{version}.tar.xz".format(version=version)

print(url)
