#!/usr/bin/env python
import urllib2, re

urldir = u"https://www.kernel.org/pub/software/scm/git/"
filespec = u"git-{version}.tar.xz"

dlpage = urllib2.urlopen(urldir).read().decode("utf-8")
versions = re.findall(filespec.format(version=ur"([0-9][0-9.]*[0-9])"), dlpage)

versions.sort(key=lambda x: map(int, x.split(u".")))
version = versions[-1]

url = urldir + filespec.format(version=version)

print(url)
