#!/usr/bin/env python
import urllib2, re

urldir = u"https://www.python.org/ftp/python/"

dlpage = urllib2.urlopen(urldir).read().decode("utf-8")
versions = re.findall(ur'''['"](2\.[0-9][0-9.]*[0-9])/['"]''', dlpage)

versions.sort(key=lambda x: map(int, x.split(u".")))
version = versions[-1]

url = urldir + "{version}/Python-{version}.tar.xz".format(version=version)

print(url)
